use crate::utils::prop_structs::PageChildren;
use dioxus::prelude::*;

pub fn PageBase<'a>(cx: Scope<'a, PageChildren<'a>>) -> Element {
    cx.render(rsx!{
        // div { class: "bg-alice-werefox-grey-lightest ring-alice-werefox-red-dark text-alice-werefox-grey-dark dark:bg-alice-werefox-grey-dark dark:ring-alice-werefox-red dark:text-alice-werefox-grey-light let button_classes hover:text-alice-werefox-blue-dark hover:ring-alice-werefox-blue dark:hover:text-alice-werefox-blue-light dark:hover:ring-alice-werefox-blue hover:animate-yip transition", hidden: true }
        div { class: "min-h-screen",
            div { class: "container space-y-4 mx-auto p-4",
                &cx.props.children
            }
        }
    })
}
